# Created by pyp2rpm-3.3.3
%global pypi_name peewee

Name:           python-%{pypi_name}
Version:        3.17.9
Release:        %mkrel 1
Summary:        A little orm
Group:          Development/Python
License:        MIT License
URL:            https://github.com/coleifer/%{pypi_name}
# fails to build with pypi_source, so use official source tarball
Source0:        https://github.com/coleifer/%{pypi_name}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
Patch0:         peewee-linking.patch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(flask)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(sqlcipher)
# for tests
BuildRequires:	python3dist(apsw)
BuildRequires:	python3dist(psycopg2)

%description
Peewee is a simple and small ORM. It has few (but expressive) concepts, making
it easy to learn and intuitive to use.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Peewee is a simple and small ORM. It has few (but expressive) concepts, making
it easy to learn and intuitive to use.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files peewee playhouse pwiz

%check
%{python3} runtests.py -e sqlite

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst playhouse/README.md
%doc html
%{_bindir}/pwiz.py


%changelog
* Tue Apr 15 2025 daviddavid <daviddavid> 3.17.9-1.mga10
+ Revision: 2175699
- new version: 3.17.9

* Sat Mar 01 2025 wally <wally> 3.17.1-2.mga10
+ Revision: 2155531
- rebuild for python3.13

* Sat Feb 24 2024 daviddavid <daviddavid> 3.17.1-1.mga10
+ Revision: 2043867
- new version: 3.17.1
- rebuild for py3.12

* Wed Sep 20 2023 papoteur <papoteur> 3.16.3-1.mga10
+ Revision: 1988513
- new 3.16.3

* Wed Sep 07 2022 neoclust <neoclust> 3.15.1-1.mga9
+ Revision: 1885115
- New version  3.15.1

* Fri Apr 01 2022 umeabot <umeabot> 3.14.8-3.mga9
+ Revision: 1838227
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 3.14.8-2.mga9
+ Revision: 1781742
- rebuild for python-3.10

* Mon Dec 06 2021 kekepower <kekepower> 3.14.8-1.mga9
+ Revision: 1760905
- Update to version 3.14.8

* Tue Apr 20 2021 daviddavid <daviddavid> 3.14.4-1.mga9
+ Revision: 1717259
- use official source tarball (fails to build with pypi_source one)
- update BRs to fix build
- new version: 3.14.4
- rebuild for python 3.9

* Tue Dec 22 2020 guillomovitch <guillomovitch> 3.14.0-1.mga8
+ Revision: 1662979
- new version 3.14.0

* Tue May 19 2020 wally <wally> 3.13.3-1.mga8
+ Revision: 1586202
- new version 3.13.3

* Tue Apr 07 2020 wally <wally> 3.13.2-1.mga8
+ Revision: 1565452
- new version 3.13.2

* Tue Feb 18 2020 umeabot <umeabot> 3.13.1-2.mga8
+ Revision: 1541337
- Mageia 8 Mass Rebuild

* Tue Dec 24 2019 wally <wally> 3.13.1-1.mga8
+ Revision: 1469907
- new version 3.13.1

* Thu Nov 28 2019 wally <wally> 3.12.0-1.mga8
+ Revision: 1463441
- imported package python-peewee

